CREATE TABLE tx_sgjobs_domain_model_job
(
	path_segment           text                DEFAULT ''    NOT NULL,
	title                  text                DEFAULT ''    NOT NULL,
	job_id                 varchar(30)         DEFAULT ''    NOT NULL,
	attachment             int(11)             DEFAULT '0'   NOT NULL,
	task                   text                DEFAULT ''    NOT NULL,
	qualification          text                DEFAULT ''    NOT NULL,
	alternative_start_date text                DEFAULT ''    NOT NULL,
	start_date             int(11) unsigned    DEFAULT '0'   NOT NULL,
	location               text                DEFAULT ''    NOT NULL,
	location_requirements  text                DEFAULT ''    NOT NULL,
	company                text                DEFAULT ''    NOT NULL,
	telecommute_possible   tinyint(4) unsigned DEFAULT '0'   NOT NULL,
	office_work_possible   tinyint(4) unsigned DEFAULT '1'   NOT NULL,
	employment_types       text                DEFAULT ''    NOT NULL,
	date_posted            int(11) unsigned    DEFAULT '0'   NOT NULL,
	valid_through          int(11) unsigned    DEFAULT '0'   NOT NULL,
	salary_currency        varchar(3)          DEFAULT 'EUR' NOT NULL,
	base_salary            varchar(15)         DEFAULT ''    NOT NULL,
	max_salary             varchar(15)         DEFAULT ''    NOT NULL,
	salary_unit            varchar(5)          DEFAULT ''    NOT NULL,
	description            text                DEFAULT ''    NOT NULL,
	department             int(11)             DEFAULT '0'   NOT NULL,
	experience_level       varchar(255)        DEFAULT '0'   NOT NULL,
	contact                int(11) unsigned    DEFAULT '0'   NOT NULL,
	featured_offer         tinyint(4) unsigned DEFAULT '0'   NOT NULL,
	hide_apply_by_email    tinyint(4) unsigned DEFAULT '0'   NOT NULL,
	hide_apply_by_postal   tinyint(4) unsigned DEFAULT '0'   NOT NULL,
	apply_external_link    varchar(512)        DEFAULT ''    NOT NULL,
	related_jobs           varchar(255)        DEFAULT ''    NOT NULL
);

CREATE TABLE tx_sgjobs_domain_model_department
(
	title text DEFAULT '' NOT NULL
);

CREATE TABLE tx_sgjobs_domain_model_experience_level
(
	title text DEFAULT '' NOT NULL
);

CREATE TABLE tx_sgjobs_domain_model_company
(
	city            varchar(255)     DEFAULT ''  NOT NULL,
	zip             varchar(255)     DEFAULT ''  NOT NULL,
	name            varchar(255)     DEFAULT ''  NOT NULL,
	street          varchar(255)     DEFAULT ''  NOT NULL,
	state           varchar(255)     DEFAULT ''  NOT NULL,
	country         varchar(255)     DEFAULT ''  NOT NULL,
	description     text             DEFAULT ''  NOT NULL,
	contact         int(11) unsigned DEFAULT '0' NOT NULL,
	job_id          text             DEFAULT ''  NOT NULL,
	identifying_url varchar(255)     DEFAULT ''  NOT NULL
);

CREATE TABLE tx_sgjobs_domain_model_contact
(
	title      varchar(255)     DEFAULT '' NOT NULL,
	first_name varchar(255)     DEFAULT '' NOT NULL,
	last_name  varchar(255)     DEFAULT '' NOT NULL,
	email      varchar(255)     DEFAULT '' NOT NULL,
	phone      varchar(255)     DEFAULT '' NOT NULL,
	city       varchar(255)     DEFAULT '' NOT NULL,
	zip        varchar(255)     DEFAULT '' NOT NULL,
	street     varchar(255)     DEFAULT '' NOT NULL,
	state      varchar(255)     DEFAULT '' NOT NULL,
	country    varchar(255)     DEFAULT '' NOT NULL,
	image      int(11) unsigned DEFAULT '0'
);

CREATE TABLE tx_sgjobs_domain_model_job_application
(
	job_id         text                DEFAULT ''  NOT NULL,
	job            int(11) unsigned    DEFAULT '0' NOT NULL,
	job_title      text                DEFAULT ''  NOT NULL,
	company        text                DEFAULT ''  NOT NULL,
	gender         varchar(30)         DEFAULT ''  NOT NULL,
	first_name     text                DEFAULT ''  NOT NULL,
	last_name      text                DEFAULT ''  NOT NULL,
	street         text                DEFAULT ''  NOT NULL,
	city           text                DEFAULT ''  NOT NULL,
	zip            varchar(255)        DEFAULT ''  NOT NULL,
	country        text                DEFAULT ''  NOT NULL,
	nationality    text                DEFAULT ''  NOT NULL,
	education      text                DEFAULT ''  NOT NULL,
	birth_date     text                DEFAULT ''  NOT NULL,
	phone          text                DEFAULT ''  NOT NULL,
	mobile         text                DEFAULT ''  NOT NULL,
	email          text                DEFAULT ''  NOT NULL,
	message        text                DEFAULT ''  NOT NULL,
	cover_letter   int(11) unsigned    DEFAULT '0' NOT NULL,
	certificate    int(11) unsigned    DEFAULT '0' NOT NULL,
	cv             int(11) unsigned    DEFAULT '0' NOT NULL,
	privacy_policy tinyint(4) unsigned DEFAULT '0' NOT NULL,
	freetext_field1 text                DEFAULT ''  NOT NULL,
	freetext_field2 text                DEFAULT ''  NOT NULL,
	freetext_field3 text                DEFAULT ''  NOT NULL,
	freetext_field4 text                DEFAULT ''  NOT NULL,
	freetext_field5 text                DEFAULT ''  NOT NULL
);
